<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class MyPackagesRegionCountries extends Model
{
    use HasFactory;
    protected $table = 'my_packages_countries_regions';
    protected $guarded = [];

    public function countryData()
    {
        return $this->hasOne('App\Models\Countries', 'id', 'country_region_id');
    }

    public function regionData()
    {
        return $this->hasOne('App\Models\Regions', 'id', 'country_region_id');
    }
}
