<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class RegionCountries extends Model
{
    use HasFactory;
    protected $table = 'region_countries';
    protected $guarded = [];

    public function country()
    {
        return $this->hasOne('App\Models\Countries', 'id', 'country_id');
    }
}
