<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class Regions extends Model
{
    use HasFactory;
    protected $table = 'regions';
    protected $guarded = [];

    public function check_availability()
    {
        return $this->hasMany('App\Models\MyPackagesRegionCountries', 'country_region_id', 'id')->where('type','2');
    }
    public function country_data()
    {
        return $this->hasMany('App\Models\RegionCountries', 'region_id', 'id');
    }
    public function country_ids()
    {
        return $this->country_data->pluck('country_id')->toArray();
    }
}
