<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class Countries extends Model
{
    use HasFactory;
    protected $table = 'countries';
    protected $guarded = [];

    public function check_availability()
    {
        return $this->hasMany('App\Models\MyPackagesRegionCountries', 'country_region_id', 'id')->where('type','1');
    }

    public function country_packages()
    {
        return $this->hasMany('App\Models\MyPackagesRegionCountries', 'country_region_id', 'id')->where('type','1');
    }

}
