<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class MyPackages extends Model
{
    use HasFactory;

    protected $table = 'my_packages';
    protected $guarded = [];

    public function createdby()
    {
        return $this->hasOne('App\Models\User', 'id', 'created_by');
    }

    public function updatedby()
    {
        return $this->hasOne('App\Models\User', 'id', 'updated_by');
    }

    public function myPackages()
    {
        return $this->hasMany('App\Models\MyPackagesRegionCountries', 'my_packages', 'id');
    }
}
