<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Lagi eSim</title>
    <link rel="icon" href="{{ URL::asset('website/images/fav.png') }}" type="image/x-icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        .MyColor {
            color: #222461 !important;
        }
        .MyWhite {
            color: white !important;
        }
        .MyBGColor {
            background-color: #222461 !important;
        }
        .My14
        {
            font-size: 14px !important;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-md-12 col-xs-12 col-12 col-sm-12 p-0">
            <img src="{{ URL::asset('website/images/header.png') }}" alt="" style="width:100%;max-height: 400px">
        </div>
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
        <div class="col-md-6 col-xs-6 col-12 col-sm-12">

            <div class="card shadow mt-2 MyColor">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8 col-xs-8 col-8 col-sm-8">
                            <h6 style="padding-top: 6px;font-size: 15px"><i class="fas fa-coins"></i> ინტერნეტის ბალანსი:  </h6>
                        </div>
                        <div class="col-md-4 col-xs-4 col-4 col-sm-4 text-end">
                            <h3 style="padding-top: 6px;font-size: 15px"><b>100 ₾</b></h3>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-md-1 col-1"></div>
                <div class="col-md-5 col-xs-6 col-5 col-sm-6">
                    <div class="card shadow" style="border-radius:15%;width: 85%">
                        <div class="card-body p-2 pt-3" style="text-align: center !important">
                            <a href="{{ route('regions') }}" style="text-decoration: none;">
                                <img src="{{ URL::asset('website/images/packages.png') }}"
                                     style="width:60%;height: 55px">
                                <center><h6 class="text-dark My14">Packages</h6></center>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-5 col-xs-6 col-5 col-sm-6">
                    <div class="card shadow" style="border-radius:15%;width: 85%">
                        <div class="card-body p-2 pt-3" style="text-align: center !important">
                            <a href="" style="text-decoration: none;">
                                <img src="{{ URL::asset('website/images/topup.png') }}"
                                     style="width:60%;height: 55px">
                                <center><h6 class="text-dark My14">Top Up</h6></center>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-1 col-1"></div>
            </div>

            <div class="row mt-2">
                <div class="col-md-1 col-1"></div>
                <div class="col-md-5 col-xs-6 col-5 col-sm-6">
                    <div class="card shadow" style="border-radius:15%;width: 85%">
                        <div class="card-body p-2 pt-3" style="text-align: center !important">
                            <a href="" style="text-decoration: none;">
                                <img src="{{ URL::asset('website/images/qr.png') }}"
                                     style="width:60%;height: 55px">
                                <center><h6 class="text-dark My14">QR Code</h6></center>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-5 col-xs-6 col-5 col-sm-6">
                    <div class="card shadow" style="border-radius:15%;width: 85%">
                        <div class="card-body p-2 pt-3" style="text-align: center !important">
                            <a href="{{ route('instructions') }}" style="text-decoration: none;">
                                <img src="{{ URL::asset('website/images/instructions.png') }}"
                                     style="width:60%;height: 55px">
                                <center><h6 class="text-dark My14">Instructions</h6></center>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-md-1 col-1"></div>
            </div>

            <div class="card shadow mt-3">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8 col-xs-8 col-8 col-sm-8">
                            <div class="card MyBGColor">
                                <div class="card-body" style="padding: 10px !important;">
                                    <h6 class="MyWhite"><i class="fas fa-map-marker"></i> Europe <b>(7Days)</b></h6>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-xs-4 col-4 col-sm-4" style="text-align: center">
                            <div class="card MyBGColor">
                                <div class="card-body" style="padding: 10px !important;">
                                    <h6 class="MyWhite"><b>1 GB</b></h6>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12 col-xs-12 col-12 col-sm-12 mt-2">
                            <h6 class="MyColor" style="margin-left: 10px"><i class="fas fa-clock"></i> გამოუყენებელი</h6>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>
</body>
</html>