<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Lagi eSim Regional Countries</title>
    <link rel="icon" href="{{ URL::asset('website/images/fav.png') }}" type="image/x-icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        .MyColor {
            color: #222461 !important;
        }

        .MyWhite {
            color: white !important;
        }

        .MyBGColor {
            background-color: #222461 !important;
        }

        .My14 {
            font-size: 14px !important;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
        <div class="col-md-6 col-xs-6 col-12 col-sm-12">

            <div class="row mt-3">
                <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                    <a href="{{ route('region_packages',[encrypt($region->id)]) }}" class="text-dark"
                       style="text-decoration: none;margin-left: 5px"><i
                                class="fas fa-arrow-left"></i> <span style="margin-left: 5px">Go Back</span></a>
                </div>
            </div>

            <div class="row">
                @forelse($region->country_data as $regio)
                    <div class="col-md-12 col-12 col-xs-12 col-sm-12">
                        <div class="card shadow mt-2 MyColor">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-12 col-sm-12 d-flex">
                                        <img src="{{ URL::asset('admin/assets/flags/'.$regio->country->flag) }}"
                                             width="25"
                                             height="25">
                                        <h6 style="margin-left: 10px;margin-top: 2px">{{ $regio->country->name }}</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                @endforelse
            </div>

        </div>
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>
</body>
</html>